<?php
	if (!isset($_SESSION["admin"]["id"])) {
		echo "<script>location.href='index.php';</script>";
	}
?>
<h1 class="page-header">
    
    	<div class="row">
    		<div class="col-md-7 col-sm-6">
    			Migrar Empresa de Funcionário
            </div>

    	</div>
    
</h1>

<div class="container" style="width: 90%">

	<?php
	if ( $_POST ) {
		
		$f1 = $f2 = "";
		if ( isset ( $_POST["funcionario1"] ) ) $f1 = trim ( $_POST["funcionario1"] );
		if ( isset ( $_POST["funcionario2"] ) ) $f2 = trim ( $_POST["funcionario2"] );

		if ( empty ( $f1 ) ) 
			echo "<div class='alert alert-danger'>Selecione um funcionário</div>";
		else if ( empty ( $f2 ) ) 
			echo "<div class='alert alert-danger'>Selecione um funcionário para migrar</div>";
		else {

			$sql = "update cliente set funcionario_id = ? where funcionario_id = ? ";
			$consulta = $db->prepare($sql);
			$consulta->bindParam(1, $f2);
			$consulta->bindParam(2, $f1);
			if ( $consulta->execute() )
				echo "<div class='alert alert-success'>Modificação realizada com sucesso!</div>";
			else
				echo "<div class='alert alert-danger'>Erro ao modificar $dados->nome</div>";
		}
	}

	?>

	<form name="form1" method="post" class="text-center form-inline">
		<label>Funcionário:
		<select class="form-control" name="funcionario1" required>
			<option value=""></option>
			<?php
				$sql = "select f.id, f.nome, f.email, p.nome pnome from funcionario f
				inner join cargo c on (c.id = f.cargo_id)
				inner join parceiro p on (p.id = c.parceiro_id)
				order by f.nome";
				$consulta = $db->prepare($sql);
				$consulta->execute();

				while ( $dados = $consulta->fetch(PDO::FETCH_OBJ )) {
					echo "<option value='$dados->id'>$dados->nome ( $dados->email / $dados->pnome ) </option>";
				}
			?>
		</select></label>

		<label>Migrar para Funcionário:
		<select class="form-control" name="funcionario2" required>
			<option value=""></option>
			<?php
				$sql = "select f.id, f.nome, f.email, p.nome pnome from funcionario f
				inner join cargo c on (c.id = f.cargo_id)
				inner join parceiro p on (p.id = c.parceiro_id)
				order by f.nome";
				$consulta = $db->prepare($sql);
				$consulta->execute();

				while ( $dados = $consulta->fetch(PDO::FETCH_OBJ )) {
					echo "<option value='$dados->id'>$dados->nome ( $dados->email / $dados->pnome ) </option>";
				}
			?>
		</select></label>
		<br>
		<button type="submit" class="btn btn-success">Migrar</button>

	</form>

</div>